import chalk from "chalk"
import { getDateTime } from "../common.js"

const primary = chalk.cyan,
      bgPrimary = chalk.whiteBright.bgCyan,
      secondary = chalk.blue;

export const consoleFunctions = {
  ruler: () => "-".repeat(process.stdout.columns),
  init: function (prod, port, routes) {
    let output = [];
    if (!prod) {
      output.push(bgPrimary("DEVELOPMENT"));
    } else {
      output.push(bgPrimary("PRODUCTION"));
    }
    output.push(primary(`Proxy listening on port`) + " " + secondary.underline(port));
    output.push("");
    output.push(primary("Web Proxies"));
    output.push(routes.join("\n"));
    output.push("");
    output.push(primary("API Proxies"));
    output.push("...");
    output.push("");
    output.push("Logs");
    output.push(this.ruler());
    return output.join("\r\n")
  },
  log: function (content) {
    console.log(`(${getDateTime()}) ${content}`);
  }
}